ptf #
//*********  Version: 9 Februari 2016 13:49  *******
@logactivities:  // Indicates that this version uses log activities for entities.  (name.logact) 

// Adding   @forceLogKreactions:   here will force the graphical editor to rewrite all reactions in log K format.  
// Adding   @forceLinKreactions:   here will force the graphical editor to rewrite all reactions in linear K format. 
// The grapical editor will not change the original format of reactions in inputfile otherwise. 
@NrDigits: 12  // number of decimal places in reaction coefficients. 

//********* The database file(s) *******
// This section list the database files that are used by the interactive chemistry editor
// Syntax for local files:                   @database: minteq.txt
// Syntax for files on the internet:         @database: www.meeussen.nl/orchestra/minteqv4.txt

@database: ../../bin/minteqv4.txt
@database: ../../bin/adsmodels.txt
//********* End of the database file(s) *******


//********* Generate output variables  *******
//********* End of output variables  *******



//********* The variables *******
@globalvar: H2O.logact 0
@Var: DHS_kgl 1.0E-6  //   
@Var: H+.logact 1.0  //  **
@Var: chargeHS -0.9  //   
@Var: donvol1   #donvol1          # //  Donnan volume
@Var: pH NaN  //   
@Var: pHdon1 4.0  //   
@Var: watervolume 1.0  //   
//********* End of the variables *******


//********* The extra expressions *******
//*  The format of extra expressions is: 
//*  Stage:(1,"expression") 
//* (Stage: is used instead of Calc: here to prevent interpretation by the GUI.)
//*  For the calculations Stage: and Calc: are equivalent.
@Stage: (5,  "pHdon1 = pH -{HS_don.logact}")
//********* End of the extra expressions *******

//********* The phases *******
@phase(gas)
@phase(tot)
@phase(liter)
@link_phase(liter, tot, "watervolume")
@phase(diss)
@link_phase(diss, liter, "1")
@phase(DHS_part_l)
@link_phase(DHS_part_l, diss, "1")
@phase(HS_part)
@link_phase(HS_part, DHS_part_l, "DHS_kgl")
//********* End of the phases *******

// The uiobjects1 class can be used to add user defined content. 
// It is literally read and written by the GUI.
@class: uiobjects1(){%
   @include: uiobjects.txt
%}
@uiobjects1()

@globalvar: I .1
@davies()

//********* The primary entities *******
@species(Cl-, -1)
@primary_entity(Cl-, -9.0, diss, 1.0E-9)
@Global: pH
@Var: H+.logact  1 **
@Calc:(1, "H+.logact = -pH")
@species(H+, 1)
@primary_entity(H+, pH, -9.0)
@entity(H2O, diss, 55.6 )
@primary_entity(H2O, 0.0)
@species(K+, 1)
@primary_entity(K+, -9.0, diss, 1.0E-9)
//******************************

//********* The entities *******

@species(OH-, -1)
@reaction(OH-,  1.00693e-14 , -1.0, H+, 1.0, H2O)

@class: extra_entities(){%
 // Here you can put some arbitrary extra code.
%}
@extra_entities()




//********* The minerals *******
// This version can use external mineral files.

// Syntax: @xternal_mineral_file: name.txt
//********* End of the minerals *******


//********* Adsorption Models *******

//********* Adsorption Model HS *******************

// Note that the surface charge of this model is in eq/kg (and is negative for a positive CEC)
@nicamodel(HS, HS_part, 1, donvol1, chargeHS)

//** Automatically generated donnan species for HS
@donnanspecies(Cl-_HS_don, HS_don, Cl-, -1)
@donnanspecies(H+_HS_don, HS_don, H+, 1)
@donnanspecies(K+_HS_don, HS_don, K+, 1)
@donnanspecies(OH-_HS_don, HS_don, OH-, -1)
//********* End of Adsorption Model HS *************

//********* End of Adsorption Models *******
//********* add @userfriendlyformat: to get ouput of reactions in user friendly format *******
